# - Try to find v4l2
# Once done this will define
#
#  V4L2_FOUND - system has v4l2
#  V4L2_INCLUDE_DIR - the v4l2 include directory
#  V4L2_LIBRARIES - Link these to use v4l
#  V4L2_DEFINITIONS - Compiler switches required for using v4l2
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#


if ( V4L2_INCLUDE_DIR AND V4L2_LIBRARIES )
   # in cache already
   SET(V4l2_FIND_QUIETLY TRUE)
endif ( V4L2_INCLUDE_DIR AND V4L2_LIBRARIES )

# use pkg-config to get the directories and then use these values
# in the FIND_PATH() and FIND_LIBRARY() calls
if( NOT WIN32 )
  INCLUDE(UsePkgConfig)

  PKGCONFIG(libv4l2 _v4lIncDir _v4lLinkDir _v4lLinkFlags _v4lCflags)

  SET(V4L2_DEFINITIONS ${_v4lCflags})
endif( NOT WIN32 )


FIND_PATH(V4L2_INCLUDE_DIR NAMES videodev2.h
  PATHS
  ${_v4lIncDir}
  /usr/include/linux
)

FIND_LIBRARY(V4L2_LIBRARIES NAMES v4l2
  PATHS
  ${_v4lLinkDir}
)


include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(v4l2 DEFAULT_MSG V4L2_INCLUDE_DIR V4L2_LIBRARIES )

# show the V4L_INCLUDE_DIR and V4L_LIBRARIES variables only in the advanced view
MARK_AS_ADVANCED(V4L2_INCLUDE_DIR V4L2_LIBRARIES )
