# - Try to find zvbi
# Once done this will define
#
#  ZVBI_FOUND - system has zvbi
#  ZVBI_INCLUDE_DIR - the zvbi include directory
#  ZVBI_LIBRARIES - Link these to use zvbi
#  ZVBI_DEFINITIONS - Compiler switches required for using zvbi
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#


if ( ZVBI_INCLUDE_DIR AND ZVBI_LIBRARIES )
   # in cache already
   SET(zvbi_FIND_QUIETLY TRUE)
endif ( ZVBI_INCLUDE_DIR AND ZVBI_LIBRARIES )

# use pkg-config to get the directories and then use these values
# in the FIND_PATH() and FIND_LIBRARY() calls
if( NOT WIN32 )
  INCLUDE(FindPkgConfig)

  PKG_CHECK_MODULES(ZVBI zvbi-0.2)

  SET(ZVBI_DEFINITIONS ${ZVBI_CFLAGS})
endif( NOT WIN32 )

FIND_PATH(ZVBI_INCLUDE_DIR NAMES libzvbi.h
  PATHS
  ${ZVBI_INCLUDE_DIRS}
)

FIND_LIBRARY(ZVBI_LIBRARIES NAMES zvbi
  PATHS
  ${ZVBI_LIBRARY_DIRS}
)

include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(zvbi DEFAULT_MSG ZVBI_INCLUDE_DIR ZVBI_LIBRARIES )

# show the ZVBI_INCLUDE_DIR and ZVBI_LIBRARIES variables only in the advanced view
MARK_AS_ADVANCED(ZVBI_INCLUDE_DIR ZVBI_LIBRARIES )

